Subject: Re: bug#24789: Changing console renders my system unresponsive

From: [email-masked] (Ludovic Courtès)
Date: Thu, 27 Oct 2016 13:55:50 +0200

Petter <[email-masked]> skribis:

> Did you try using an external monitor connected with DisplayPort?

No, I only tried VGA and HDMI outputs, which work fine.

> KMS Module in use (from /var/log/Xorg.0.log):
> [    18.862] (II) intel(0): Using Kernel Mode Setting driver: i915,
> version 1.6.0 20160711
>
> As for Xorg driver in use, I'm not sure where or how to find this out.
>
> Grepping /var/log/Xorg.0.log for LoadModule in case that's helpful. If
> not, let me know how I can find it.
> 58:[    18.637] (II) LoadModule: "glx"
> 70:[    18.725] (II) LoadModule: "intel"
> 76:[    18.747] (II) LoadModule: "modesetting"
> 82:[    18.762] (II) LoadModule: "fbdev"
> 88:[    18.771] (II) LoadModule: "vesa"
> 109:[    18.864] (II) LoadModule: "fbdevhw"
> 145:[    18.885] (II) LoadModule: "dri2"
> 148:[    18.885] (II) LoadModule: "present"
> 190:[    19.050] (II) LoadModule: "libinput"

OK.

Could you check maybe whether other X200 users have that problem?  It
doesn’t seem to be GuixSD-specific.

Did you have success with another distro on this laptop?  If so, it
would be good to see the difference in terms of drivers and versions.

Ludo’.